Package com.studica.frc

## Class LidarMini.LidarInfo

- java.lang.Object
- - com.studica.frc.LidarMini.LidarInfo

Enclosing class:
  LidarMini

    public static class LidarMini.LidarInfo
    extends java.lang.Object

Device information.

The T-mini Plus model code is `151`.

### Field Summary

Fields
`int` `firmwareVersion` Combined firmware version word (little-endian: low byte = major, high byte = minor).
`int` `hardwareVersion` Hardware revision number.
`int` `model` Device model code.
`byte[]` `serialnum` 16-byte factory serial number.

### Constructor Summary

Constructors
`LidarInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFirmwareMajor()` Returns the firmware major version number.
`int` `getFirmwareMinor()` Returns the firmware minor version number.
`java.lang.String` `getSerialString()` Returns the serial number as a hex string (32 hex characters).
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### model

    public int model

Device model code. T-mini Plus = 151.

#### firmwareVersion

    public int firmwareVersion

Combined firmware version word (little-endian: low byte = major, high byte = minor). Use `getFirmwareMajor()` / `getFirmwareMinor()` for human-readable values.

#### hardwareVersion

    public int hardwareVersion

Hardware revision number.

#### serialnum

    public byte[] serialnum

16-byte factory serial number.

### Constructor Detail

#### LidarInfo

    public LidarInfo()

### Method Detail

#### getFirmwareMajor

    public int getFirmwareMajor()

Returns the firmware major version number.

Returns:
  firmware major version

#### getFirmwareMinor

    public int getFirmwareMinor()

Returns the firmware minor version number.

Returns:
  firmware minor version

#### getSerialString

    public java.lang.String getSerialString()

Returns the serial number as a hex string (32 hex characters).

Returns:
  32-character uppercase hex string, or empty string if serialnum is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`